#ifndef DZ1_ACCOUNT_H
#define DZ1_ACCOUNT_H

#include <iostream>

struct Account {
    unsigned int number;
    unsigned int code;
    std::string surname;
    std::string creation_date;
    double money;
    double annual_percentage;
    Account() = default;
    Account(unsigned int p_number, unsigned int p_code, std::string_view p_surname, double p_money, const char* p_creation_date, double p_annual_percentage) :
        number(p_number),
        code(p_code),
        surname(p_surname),
        creation_date(p_creation_date),
        money(p_money),
        annual_percentage(p_annual_percentage)
    {};

    bool operator == (const Account& p) const
    {
        return (number == p.number && code == p.code && surname == p.surname && money == p.money && creation_date == p.creation_date && annual_percentage == p.annual_percentage);
    }
    friend std::ostream& operator<<(std::ostream& out, const Account& p_acc);
    friend std::istream& operator>>(std::istream& in, Account& p_acc);

};

#endif //DZ1_ACCOUNT_H
